import { Component, Input } from '@angular/core';
import { jwtDecode } from 'jwt-decode';
import { EditUserModalComponent } from '../../pages/admin/users/users/edit-user-modal/edit-user-modal.component';
import { MatDialog } from '@angular/material/dialog';
import { ChangePasswordModalComponent } from '../../pages/admin/users/users/change-password-modal/change-password-modal.component';

@Component({
  selector: 'app-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrl: './sidebar.component.css'
})
export class SidebarComponent {
  @Input() isVisible: boolean = false;
  isSuperAdmin: boolean = false;
  username: string = localStorage.getItem('username') ?? '';
  
  constructor(public dialog: MatDialog) {}

  ngOnInit(): void {
    const token = localStorage.getItem('loginToken');
    if (token) {
      try {
        const decodedToken: any = jwtDecode(token);
        console.log('Decoded JWT:', decodedToken);
        this.isSuperAdmin = decodedToken.roles.includes('ROLE_SUPER_ADMIN');
      } catch (error) {
        console.error('Error decoding JWT:', error);
      }
    }
  }

  editUser(user: any) {
    // Implementar la lógica de edición
    const dialogRef = this.dialog.open(ChangePasswordModalComponent, {
      data: { user: user }
    });
    dialogRef.componentInstance.userEdited.subscribe(() => {
      console.log("User edited successfully!")
    });
  }
}