import { HttpClient } from '@angular/common/http';
import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-login',
  templateUrl: './login.component.html',
  styleUrls: ['./login.component.css'],
})
export class LoginComponent {
    loginObj: any = {
      "username": "",
      "password": ""
    };
    errorMessage: string = '';

    constructor(private http: HttpClient, private router: Router) { }
    
    onLogin() {
        if (!this.loginObj.username || !this.loginObj.password) {
            if (!this.loginObj.username) {
                document.getElementById('username')?.classList.add('invalid');
            } else {
                document.getElementById('username')?.classList.remove('invalid');
            }

            if (!this.loginObj.password) {
                document.getElementById('password')?.classList.add('invalid');
            } else {
                document.getElementById('password')?.classList.remove('invalid');
            }
            return;
        }

        this.http.post('http://127.0.0.1:8080/auth/login', this.loginObj).subscribe({
            next: (res: any) => {
                if (res.token) {
                    localStorage.setItem('loginToken', res.token);
                    localStorage.setItem('refreshToken', res.refreshToken);
                    localStorage.setItem('username', this.loginObj.username);
                    this.router.navigateByUrl('/dashboard');
                }
            },
            error: (err) => {
                if (err.status === 401) {
                    this.errorMessage = 'Usuario o contraseña incorrectos';
                } else {
                    this.errorMessage = 'Ha ocurrido un error. Por favor, inténtelo de nuevo.';

                    //BYPASS TO DASHBOARD
                    /* this.router.navigateByUrl('/dashboard'); */
                }
            }
        });
    }
}
