import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Component, EventEmitter, Inject, Output } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';

@Component({
  selector: 'app-delete-user-modal',
  templateUrl: './delete-user-modal.component.html',
  styleUrl: './delete-user-modal.component.css'
})
export class DeleteUserModalComponent {
  @Output() userDeleted = new EventEmitter<void>();
  constructor(
    public dialogRef: MatDialogRef<DeleteUserModalComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any,
    private http: HttpClient
  ) {}

  onNoClick(): void {
    this.dialogRef.close();
  }

  onYesClick(): void {
    const apiUrl = `http://127.0.0.1:8080/users/${this.data.uuid}`;
    const headers = new HttpHeaders({
      'Content-Type': 'application/ld+json'
    });

    this.http.delete(apiUrl, { headers: headers }).subscribe(
      () => {
        console.log('User deleted successfully');
        this.userDeleted.emit();
        this.dialogRef.close(true);
      },
      (      error: any) => {
        console.error('Error deleting user:', error);
        // Agregar alguna lógica para manejar el error en la interfaz de usuario
      }
    );
  }
}
